struct s
(
	tTooltip = "Deletes layers that don't contain any objects.\nNote that the default layer 0 can not be deleted.",
	
	fn count =
	(
		local nEmptyLayers = 0
		
		for nLayer = layerManager.count to 2 by -1 do
		(
			local layer = layerManager.getLayer (nLayer - 1)
			
			local lNodes = undefined
			layer.nodes &lNodes
			
			if lNodes.count == 0 do nEmptyLayers += 1
		)
		
		return nEmptyLayers
	),
	
	fn clean =
	(
		-- active layer = layer 0
		(layerManager.getLayer 0).current = true
		
		for nLayer = layerManager.count to 2 by -1 do
		(
			local layer = layerManager.getLayer (nLayer - 1)
			
			local lNodes = undefined
			layer.nodes &lNodes
			
			if lNodes.count == 0 do layerManager.deleteLayerByName layer.name
		)
	)
)