struct s
(
	tTooltip = "Missing Texturemap Classes in your scene generally indicate that the scene you opened is using plugins you don't got installed on your computer.",
	
	fn count =
	(
		(getclassinstances missing_texturemap).count
	),
	
	fn clean =
	(
		local lTvps = #()
		for tvp in (getclassinstances missing_texturemap asTrackViewPick:true) do appendIfUnique lTvps tvp.client
		for tvp in lTvps do 
		(
			local lPropNames = getPropNames tvp
			for propName in lPropNames do
			(
				local prop = getproperty tvp propName
				if classof prop == missing_texturemap then try setProperty tvp propName undefined catch()
			)
		)
	),
	
	fn selectObjects =
	(
		local lObjs = #()
		for mat in (getclassinstances missing_texturemap) do
		(
			for obj in (refs.dependents mat) where classof (superclassof obj) == node do appendIfUnique lObjs obj
		)
		
		select lObjs
		local bRefreshSel = false
		for obj in selection do
		(
			if isGroupHead obj and not isOpenGroupHead obj then
			(
				bRefreshSel = true
				setGroupOpen obj true
			)
		)
		if bRefreshSel then select lObjs
	),
	
	fn selectMaterials =
	(
		local lMats = #()
		
		for mat in (getclassinstances missing_texturemap) do appendIfUnique lMats mat
		
		for nMat = 1 to lMats.count where nMat <= meditMaterials.count do setMeditMaterial nMat lMats[nMat]
	)
)
