struct s
(
	tTooltip = "Cleans Thinking Particles TP Variation Texmap in ColorCorrects, Vray-Materials and Multisubmaterials.",

	
	fn enabled =
	(
		tp_variation_texmap != undefined
	),

	fn count =
	(
		if tp_variation_texmap != undefined
			then (getclassinstances tp_variation_texmap).count
			else "-"
	),

	fn clean =
	(
		if tp_variation_texmap != undefined then 
		(
			local lMaps = makeUniqueArray (getclassinstances tp_variation_texmap)
			
			-- 
			for map in lMaps do
			(
				local lDeps = refs.dependents map
				local parent = lDeps[1]
				
				case classof parent of
				(
					ColorCorrect:
					(
						parent.src_color = parent.src_tex.color
						parent.src_tex = undefined
					)
					VrayMtl:
					(
						parent.diffuse = parent.texmap_diffuse.color
						parent.texmap_diffuse = undefined
					)
					Standardmaterial:
					(
						parent.diffuse = parent.diffuseMap.color
						parent.diffuseMap = undefined
					)
				)
			)
		)
	),

	fn selectObjects =
	(
		if tp_variation_texmap != undefined then 
		(
			local lObjs = #()
			for mat in (getclassinstances tp_variation_texmap) do
			(
				for obj in (refs.dependents mat) where classof (superclassof obj) == node do appendIfUnique lObjs obj
			)
			
			select lObjs
			local bRefreshSel = false
			for obj in selection do
			(
				if isGroupHead obj and not isOpenGroupHead obj then
				(
					bRefreshSel = true
					setGroupOpen obj true
				)
			)
			if bRefreshSel then select lObjs
		)
	),

	fn selectMaterials =
	(
		if tp_variation_texmap != undefined then 
		(
			local lMats = #()
			
			for mat in (getclassinstances tp_variation_texmap) do appendIfUnique lMats mat
			
			for nMat = 1 to lMats.count where nMat <= meditMaterials.count do setMeditMaterial nMat lMats[nMat]
		)
	)
)
